/*
 * MZViewer - A viewer for MZData format Mass Spectra
 * Copyright (c) 2005 Simon Andrews

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */
package uk.ac.bbsrc.babraham.mzdata.displays;

import javax.swing.*;

import uk.ac.bbsrc.babraham.mzdata.MZViewer;

import java.awt.*;
import java.awt.event.*;

/**
 * @author andrewss
 *
 */
public class AboutDialog extends JDialog {

    public AboutDialog (MZViewer viewer) {

        setTitle("About MZViewer...");
        Container cont = getContentPane();
        cont.setLayout(new BorderLayout());
        cont.setBackground(Color.WHITE);
        
        ImageIcon logo = new ImageIcon(ClassLoader.getSystemResource("uk/ac/bbsrc/babraham/mzdata/resources/bi_logo.png"));
        
        cont.add(new JLabel("",logo,JLabel.CENTER),BorderLayout.WEST);
        
        JPanel c = new JPanel();
        c.setLayout(new GridBagLayout());
        c.setBackground(Color.WHITE);
        
        GridBagConstraints constraints = new GridBagConstraints();
        constraints.gridx=1;
        constraints.gridy=1;
        constraints.weightx = 1;
        constraints.weighty=1;
        constraints.fill = GridBagConstraints.NONE;
                
        JLabel program = new JLabel("MZData Viewer",JLabel.CENTER);
        program.setFont(new Font("Dialog",Font.BOLD,15));
        program.setForeground(Color.RED);
        c.add(program,constraints);
        
        constraints.gridy++;
        JLabel versionLabel = new JLabel("Version: "+viewer.VERSION, JLabel.CENTER);
        versionLabel.setFont(new Font("Dialog",Font.BOLD,15));
        versionLabel.setForeground(Color.BLUE);
        c.add(versionLabel,constraints);
        
        constraints.gridy++;
        JLabel copyright = new JLabel("\u00a9 Simon Andrews, Babraham Bioinformatics, 2005", JLabel.CENTER);
        copyright.setFont(new Font("Dialog",Font.PLAIN,12));
        c.add(copyright,constraints);
        
        constraints.gridy++;
        JLabel apache = new JLabel("<html><center>This product includes software developed by the Apache<br>Software Foundation (http://www.apache.org)</center></html>", JLabel.CENTER);
        apache.setFont(new Font("Dialog",Font.PLAIN,9));
        c.add(apache,constraints);

        constraints.gridy++;
        constraints.fill = GridBagConstraints.NONE;
        JButton closeButton = new JButton("Close");
        closeButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent arg0) {
                setVisible(false);
                dispose();
            }
        });
        c.add(closeButton,constraints);
        
        cont.add(c,BorderLayout.CENTER);
        
        setSize(450,170);
        setLocationRelativeTo(viewer);
        setResizable(false);
        setVisible(true);
    }

}
